Version 6.x.x Source
Single Set prefix for numbering series on your transactions

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `setup_series` | Section Break | Setup Series Set prefix for numbering series on your transactions |
2 | `select_doc_for_series` | Select | Select Transaction |
3 | `help_html` | HTML | Help HTML |
4 | `set_options` | Text | Series List for this Transaction |
5 | `user_must_always_select` | Check | User must always select Check this if you want to force the user to select a series before saving. There will be no default if you check this. |
6 | `update` | Button | Update |
7 | `update_series` | Section Break | Update Series Change the starting / current sequence number of an existing series. |
8 | `prefix` | Select | Prefix |
9 | `current_value` | Int | Current Value This is the number of the last created transaction with this prefix |
10 | `update_series_start` | Button | Update Series Number |
    update_series_start

### Controller

#### erpnext.setup.doctype.naming_series.naming_series

### Class NamingSeries

Inherits from frappe.model.document.Document

check_duplicate (self)

No docs

get_current (self, arg=None)

get series current

get_options (self, arg=None)

No docs

get_transactions (self, arg=None)

No docs

insert_series (self, series)

insert series if missing

scrub_options_list (self, ol)

No docs

set_series_for (self, doctype, ol)

No docs

update_series (self, arg=None)

update series list

update_series_start (self)

No docs

validate_series_name (self, n)

No docs

### Class NamingSeriesNotSetError

Inherits from frappe.exceptions.ValidationError

erpnext.setup.doctype.naming_series.naming_series.get_default_naming_series (doctype)

No docs

erpnext.setup.doctype.naming_series.naming_series.set_by_naming_series (doctype, fieldname, naming_series, hide_name_field=True)

No docs